# svn co https://svn.code.sf.net/p/quarks/code/ quarks
%define svnver 2667

Summary: Local Quarks repository for SuperCollider
Name: supercollider-quarks
Version: 3.6
Release: 0.1%{?svnver:.svn%{svnver}}%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://supercollider.sourceforge.net/
Source0: quarks%{?svnver:-svn%{svnver}}.tar.gz
Source1: stripchars
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: supercollider >= 3.5
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

%description
Local Quarks repository for SuperCollider.

%package -n supercollider-cruciallib
Summary: Higher level interfaces for managing musical objects
Group: Applications/Multimedia
Requires: supercollider >= 3.5

%description -n supercollider-cruciallib
Higher level interfaces for managing musical objects

%package -n supercollider-mathlib
Summary: Useful classes for SuperCollider
Group: Applications/Multimedia
Requires: supercollider >= 3.5

%description -n supercollider-mathlib
Includes MarkovSet, boolean patterns and various other useful classes

%package -n supercollider-ambiem
Summary: Ambisonics classes for SuperCollider
Group: Applications/Multimedia
Requires: supercollider >= 3.5
Requires: supercollider-mathlib >= 3.5

%description -n supercollider-ambiem
AmbIEM is an implementation of an Ambisonics rendering system for
SuperCollider 3. This package does not include the head tracker
binaries.

%package -n supercollider-reduniverse
Summary: Sonification and visualization of dynamic systems
Group: Applications/Multimedia
Requires: supercollider >= 3.5

%description -n supercollider-reduniverse
A set of tools for sonification and visualisation of dynamic
systems. It lets us build and experiment with systems as they are
running. With the help of these tools we can quickly try out ideas
around simple audiovisual mappings, as well as code very complex
agents with strange behaviours.  The toolkit consists of three basic
things... Objects, Worlds and a Universe. Supporting these are
additional classes for things like particle systems, genetic
algorithms, plotting, audio analysis etc. but preferably many of these
functions you will want to code your self as a user.

%package -n supercollider-dewdrop
Summary: DewDrop external collection for SuperCollider
Group: Applications/Multimedia
Epoch: 1
Requires: supercollider >= 3.5
Requires: supercollider-mathlib >= 3.5
Requires: supercollider-sc3-plugins >= 3.5

%description -n supercollider-dewdrop
Class collection for SuperCollider

%prep
%setup -q -n quarks

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Extensions
# remove all .svn directories
find . -type d -name .svn | xargs rm -rf 
# remove extraneous characters from source files
find . -name \*.sc -exec %{SOURCE1} {} \;

# install all quarks for a local repository
(cd ../; tar cf - quarks) | (cd %{buildroot}%{_datadir}/SuperCollider; tar xpf -)

# install selected quarks
for quark in cruciallib MathLib AmbIEM redUniverse dewdrop_lib ; do
    tar cf - $quark | (cd %{buildroot}%{_datadir}/SuperCollider/Extensions/; tar xpf -)
done

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_datadir}/SuperCollider/quarks

%files -n supercollider-cruciallib
%defattr(-,root,root,-)
%{_datadir}/SuperCollider/Extensions/cruciallib

%files -n supercollider-mathlib
%defattr(-,root,root,-)
%{_datadir}/SuperCollider/Extensions/MathLib

%files -n supercollider-ambiem
%defattr(-,root,root,-)
%{_datadir}/SuperCollider/Extensions/AmbIEM

%files -n supercollider-reduniverse
%defattr(-,root,root,-)
%{_datadir}/SuperCollider/Extensions/redUniverse

%files -n supercollider-dewdrop
%defattr(-,root,root,-)
%{_datadir}/SuperCollider/Extensions/dewdrop_lib

%changelog
* Sun Dec 22 2013 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.6-0.1.svn2667
- update to current svn for 3.6.6 and Fedora 20

* Thu Jun 27 2013 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.6-0.1.svn2617
- update to current svn for 3.6.5

* Tue Mar 12 2013 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.6-0.1.svn2584
- update to current svn for 3.6.4

* Tue Mar 12 2013 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.6-0.1.svn2567
- udpate to current svn for 3.6.3

* Wed Jan 23 2013 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.5-0.2.svn2538
- update to current svn for Fedora 18 release

* Sun Jul 15 2012 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.5-0.2.svn2329
- strip weird characters from sc source files, causes problems 
  (apparently) with some locales

* Wed Jun 27 2012 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.5-0.1.svn2329
- update to svn revision 2329 after sc 3.5.3's release

* Sun May  6 2012 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.5-0.1.svn2303
- update to svn revision 2303
/usr/share/SuperCollider/Extensions/dewdrop_lib/ddwGUIEnhancements3.4

* Sat Mar 17 2012 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.5-0.1.svn2232
- update to current svn

* Wed Feb  1 2012 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.5-0.1.svn2168
- update to current svn to match current (20120201) supercollider git

* Fri Oct 21 2011 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.5-0.1.svn2054
- split quarks package from supercollider package
